apiVersion: v1
kind: Service
metadata:
  name: {{ include "activemq.fullname" . }}-broker
  labels:
    app.kubernetes.io/name: {{ include "activemq.name" . }}
    helm.sh/chart: {{ include "activemq.chart" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: 61616
      targetPort: 61616
      protocol: TCP
      name: "amq-broker-port"
  selector:
    app.kubernetes.io/name: {{ include "activemq.name" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
